/// IMPORTING THIRD PARTY PACKAGES
import 'package:flutter/cupertino.dart';

/// IMPORTING LOCAL PACKAGES
import 'package:zwap_design_system/zwap_design_system.dart';

/// Complete profile layout
class CompleteProfileStep extends StatelessWidget{

  /// The percent of the complete at this current step
  final double percent;

  /// The back button callBack function
  final Function() backButtonCallback;

  /// The go button callBack function
  final Function() goButtonCallBack;

  CompleteProfile({Key? key,
    required this.percent,
    required this.backButtonCallback,
    required this.goButtonCallBack
  }): super(key: key);


  @override
  Widget build(BuildContext context) {
    return BaseComplete(
        childWidget: EditProfile(),
        backButtonCallBack: () => this.backButtonCallback(),
        continueButtonCallBack: () => this.goButtonCallBack(),
        percent: percent
    );
  }


}